import request from './request.js';

// 手机验证码登录获取验证码
export function getCode(param){
	return request.post('/api/sms/send', param)
}
// 手机验证码登录接口
export function mobileLogin(param){
	return request.post('/api/candidate.user/mobilelogin', param)
}
// //微信授权登录
// export function third(param){
// 	return request.post('/api/candidate.user/third', param)
// }

// 职位列表
export function getList(param){
	return request.post('/api/candidate.job/get_list', param)
}

//政治面貌
export function politics(param){
	return request.post('/api/commons/get_political_status', param)
}

//婚姻状态列表
export function marital(param){
	return request.post('/api/commons/get_marital_status', param)
}

//所有地区列表
export function getAllArea(param){
	return request.post('/api/commons/getAllArea', param)
}

//求职状态
export function getjob(param){
	return request.post('/api/commons/get_job_status', param)
}

//求职详情
export function getdetail(param){
	return request.post('/api/candidate.job/get_detail', param)
}

//收藏接口
export function collect(param){
	return request.post('/api/candidate.job_collect/collect', param)
}
//公司简介
export function companydetail(param){
	return request.post('/api/company/get_company_detail', param)
}
//获取招聘职位列表
export function getjoblist(param){
	return request.post('/api/company/get_company_job_list', param)
}
//公司职位统计
export function jobdata(param){
	return request.post('/api/company/get_company_job_data', param)
}
//工作年限列表
export function getexperience(param){
	return request.post('/api/commons/get_experience', param)
}
//获取省市列表
export function getareacity(param){
	return request.post('/api/commons/get_area_city', param)
}

//论坛列表
export function articlelist(param){
	return request.get('/api/candidate.forum/article_list', param)
}

//圈子列表
export function grouplist(param){
	return request.get('/api/candidate.forum/group_list', param)
}

//我的关注-用户列表
export function followuser(param){
	return request.post('/api/candidate.forum/mine_follow_user', param)
}

//关注-取消关注
export function follow(param){
	return request.post('/api/candidate.forum/follow', param)
}


//用户中心
export function index(param){
	return request.post('/api/candidate.user/index', param)
}


//帖子点赞或取消点赞
export function articlelike(param){
	return request.post('/api/candidate.forum/article_like', param)
}

//评论点赞或取消点赞
export function commentlike(param){
	return request.post('/api/candidate.forum/comment_like', param)
}

//评论帖子
export function articlecomment(param){
	return request.post('/api/candidate.forum/article_comment', param)
}

//查看评论
export function readcomment(param){
	return request.post('/api/candidate.forum/read_comment', param)
}

//帖子详情
export function articledetails(param){
	return request.post('/api/candidate.forum/article_details', param)
}

//他人主页
export function homepagearticle(param){
	return request.post('/api/candidate.forum/others_homepage_article', param)
}

//用户关注圈子列表
export function followgrouplist(param){
	return request.post('/api/candidate.forum/user_follow_group_list', param)
}

//用户创建圈子列表
export function usergrouplist(param){
	return request.post('/api/candidate.forum/user_group_list', param)
}

//他人主页
export function others_homepage(param){
	return request.post('/api/candidate.forum/others_homepage', param)
}

//删除帖子
export function del_article(param){
	return request.post('/api/candidate.forum/del_article', param)
}

//圈子主页用户信息
export function group_details_user(param){
	return request.post('/api/candidate.forum/group_details_user', param)
}

//圈子主页
export function group_details_article(param){
	return request.post('/api/candidate.forum/group_details_article', param)
}

//消息列表
export function message(param){
	return request.post('/api/candidate.forum/message', param)
}

//圈子列表
export function group_list(param){
	return request.post('/api/candidate.forum/group_list', param)
}

//发布帖子
export function create_article(param){
	return request.post('/api/candidate.forum/create_article', param)
}

//创建圈子
export function create_group(param){
	return request.post('/api/candidate.forum/create_group', param)
}

//查看通知
export function view(param){
	return request.post('/api/candidate.notification/view', param)
}

//通知列表
export function get_list(param){
	return request.post('/api/candidate.notification/get_list', param)
}

//推荐行业列表
export function get_category_industry_recommend(param){
	return request.post('/api/commons/get_category_industry_recommend', param)
}
//推荐职业分类列表
export function get_category_job_recommend(param){
	return request.post('/api/commons/get_category_job_recommend', param)
}

// 学位要求列表
export function get_education(param){
	return request.post('/api/commons/get_education', param)
}

// 工作年限列表
export function get_experience(param){
	return request.post('/api/commons/get_experience', param)
}
// 公司发展阶段列表
export function get_company_stage(param){
	return request.post('/api/commons/get_company_stage', param)
}

// 公司发展阶段列表
export function activityget_list(param){
	return request.post('/api/candidate.activity/get_list', param)
}

// 学校认证信息
export function is_auth(param){
	return request.post('/api/candidate.activity/is_auth', param)
}
// 活动详情
export function get_detail(param){
	return request.post('/api/candidate.activity/get_detail', param)
}
// 招聘列表
export function get_company_list(param){
	return request.post('/api/candidate.activity/get_company_list', param)
}

// 招聘介绍
export function get_company_detail(param){
	return request.post('/api/candidate.activity/get_company_detail', param)
}
// 招聘职位列表
export function get_company_job_list(param){
	return request.post('/api/candidate.activity/get_company_job_list', param)
}

// 我的收藏列表
export function collect_get_list(param){
	return request.post('/api/candidate.job_collect/get_list', param)
}

// 谁看过我列表
export function browse_get_list(param){
	return request.post('/api/candidate.resume_browse/get_list', param)
}

// 修改手机号
export function changemobile(param){
	return request.post('/api/candidate.user/changemobile', param)
}

// 重置密码
export function resetpwd(param){
	return request.post('/api/candidate.user/resetpwd', param)
}

// 检验二维码
export function check(param){
	return request.post('/api/sms/check', param)
}
// 协议详情
export function get_agreement_detail(param){
	return request.post('/api/commons/get_agreement_detail', param)
}
// 资讯精选
export function get_recommend(param){
	return request.post('/api/article/get_recommend', param)
}
// 资讯详情
export function article_get_detail(param){
	return request.post('/api/article/get_detail', param)
}
// 广告列表
export function get_ad_list(param){
	return request.post('/api/article/get_ad_list', param)
}

// 投递列表
export function orderlist(param){
	return request.post('/api/candidate.order/list', param)
}

// 会员信息
export function profile(param){
	return request.post('/api/candidate.user/profile', param)
}

// 行业列表
export function get_category_industry(param){
	return request.post('/api/commons/get_category_industry', param)
}

// 规模列表
export function get_company_scale(param){
	return request.post('/api/commons/get_company_scale', param)
}

//获取简历求职期望
export function get_category_job_ids(param){
	return request.post('/api/candidate.job/get_category_job_ids', param)
}

//职业分类列表
export function get_category_job(param){
	return request.post('/api/commons/get_category_job', param)
}

//完善简历
export function create(param){
	return request.post('/api/candidate.resume/create', param)
}

//获取财务配置
export function get_finance_config(param){
	return request.post('/api/commons/get_finance_config', param)
}

//订单详情
export function order_detail(param){
	return request.post('/api/candidate.order/detail', param)
}

//获取用户银行卡信息
export function getBank(param){
	return request.post('/api/candidate.user/getBank', param)
}

//我的佣金列表
export function commission_list(param){
	return request.post('/api/candidate.order/commission_list', param)
}

//佣金数据
export function commission_data(param){
	return request.post('/api/candidate.order/commission_data', param)
}


//发起提现
export function withdraw(param){
	return request.post('/api/candidate.order/withdraw', param)
}

//设置银行账户信息
export function setBank(param){
	return request.post('/api/candidate.user/setBank', param)
}

//简历详情
export function resumeDetail(param){
	return request.post('/api/candidate.resume/detail', param)
}

//求职状态列表
export function get_job_status(param){
	return request.post('/api/commons/get_job_status', param)
}